(use-modules ((guix licenses) #:prefix license:)
             (guix packages)
             (guix download)
             (gnu packages)
             (gnu packages boost)
             (gnu packages gettext)
             (gnu packages gl)
             (gnu packages sdl)
             (guix build-system cmake))

(package
  (name "violetland")
  (version "0.5")
  (source (origin
            (method url-fetch)
            (uri (string-append "https://github.com/ooxi/violetland/releases/download/"
                                version "/violetland-" version
                                "-source-with-dependencies.tar.gz"))
            (sha256
             (base32
              "10989jss8a8s7syav78qa2ykz24hbh3jfmbq6lvcg93kw49vrbad"))))
  (build-system cmake-build-system)
  (arguments
   '(#:tests? #f))
  (inputs `(("boost" ,boost)
            ("gettext" ,gnu-gettext)
            ("glu" ,glu)
            ("mesa" ,mesa)
            ("sdl2" ,(sdl-union (list sdl sdl-image sdl-mixer sdl-ttf)))))
  (synopsis "Help a girl named Violet fight hordes of monsters")
  (description "Violetland is a game similar to Crimsonland.  In this game
the player should help a girl by name of Violet to struggle with hordes of
monsters. For this purpose the various weapon, and also the special abilities
of the heroine which are opening with experience can be used.")
  (home-page "http://violetland.github.io/")
  (license license:gpl3+))
